|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QMotifPlusStyle Class Reference

The QMotifPlusStyle class provides a more sophisticated Motif-ish look and feel. More...

    #include <QMotifPlusStyle>

Part of the QtGui module.

Inherits QMotifStyle.

- List of all members, including inherited members

### Public Functions

- QMotifPlusStyle ( bool hoveringHighlight = true )
- virtual ~QMotifPlusStyle ()
- virtual QRect subElementRect ( SubElement r, const QStyleOption * opt, const QWidget * widget = 0 ) const

- 3 public functions inherited from QMotifStyle
- 21 public functions inherited from QStyle
- 28 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 6 static public members inherited from QStyle
- 4 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QMotifPlusStyle class provides a more sophisticated Motif-ish look and feel.

This class implements a Motif-ish look and feel with the more sophisticated bevelling as used by the GIMP Toolkit (GTK+) for Unix/X11.

Most of the functions are documented in the base classes, QMotifStyle, QCommonStyle, and QStyle, but QMotifPlusStyle overloads of drawComplexControl(), drawControl(), drawPrimitive(), subControlRect(), and subRect() are documented here.

## Member Function Documentation

### QMotifPlusStyle::QMotifPlusStyle ( bool hoveringHighlight = true )

Constructs a QMotifPlusStyle

If hoveringHighlight is true (the default), then the style will not highlight push buttons, checkboxes, radiobuttons, comboboxes, scrollbars or sliders.

### QMotifPlusStyle::~QMotifPlusStyle () `[virtual]`

Destroys the style.

### QRect QMotifPlusStyle::subElementRect ( SubElement r, const QStyleOption * opt, const QWidget * widget = 0 ) const `[virtual]`